Page MenuHomePhabricator

Evaluate Phabricator Harbormaster
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2019, 4:41 PM
zeljkofilipin triaged this task as Normal priority.Mar 8 2019, 4:41 PM
zeljkofilipin moved this task from Backlog 🔙 to Next 🔜 on the User-zeljkofilipin board.
hashar added a subscriber: hashar.Mar 15 2019, 6:57 AM
zeljkofilipin added a subscriber: 20after4.EditedMar 18 2019, 1:13 PM

TLDR: I would not recommend Harbormaster.

Phabricator does not have an easy way (like Docker container) to install and test it locally. It does have a free hosted version (trial expires after 7 days). Creating a test hosted instance was easy, a few clicks (test-eqazkbf4yyol).

Importing existing repository (blubber) was also easy. One can create an empty repository in Phabricator and push the existing repository there. So far so good.

Bad news start with Harbormaster. Looks like the only thing it supports is running the build at an external CI system, like Jenkins.

A couple of quotes from the documentation:

The current version of Harbormaster can perform some basic build tasks, but has many limitations and is not a complete build platform.

Currently, the only useful type of build step is "Make HTTP Request", which you can use to make a call to an external build system like Jenkins.

@20after4, you have way more experience with Phabricator than I do. Please correct me if I'm wrong about Harbormaster.

zeljkofilipin closed this task as Resolved.Mar 18 2019, 1:13 PM
zeljkofilipin updated the task description. (Show Details)

@zeljkofilipin Harbormaster can do more than that, however, not without some customization of the code (which isn't possible on their free cloud instances)

@zeljkofilipin Harbormaster can do more than that, however, not without some customization of the code (which isn't possible on their free cloud instances)

Thanks, customization is out of scope for now.